import { drawerManager as DrawerManager } from "./drawer-manager";
import { app as App } from "../../app";
export class Drawer {
  constructor() {
    this.component;
    this.drawerManager = DrawerManager;
    this.drawing = false;
    this.states = [];
    this.state = undefined;
  }
  onDragMove() {}
  setState(state) {
    this.state = state;
  }
  clearState() {
    this.state = undefined;
  }
  setStatus(status) {
    App.setStatus(status);
  }
  clear() {
    this.clearState();
    App.clearSelectedTool();
    this.setStatus("");
  }
  addAggregator(aggregator) {
    this.drawerManager.addAggregator(aggregator);
  }
  draw(object) {
    this.drawerManager.draw(object);
  }
  update() {
    throw "Not implemented exception";
  }
}
