import { stages as Stages } from "../application/stages";
import { app as App } from "../../app";
export class Stage {
  constructor() {
    this.konvaLayer;
    this.konvaStage;
    this.aggregators = [];
    this._bootstrap();
  }
  addAggregator(aggregator) {
    this.aggregators.push(aggregator);
  }
  setStage(stage) {
    this.konvaStage = stage;
  }
  newStage() {
    this.konvaStage = Stages.getCurrentStage();
    this.konvaLayer = Stages.getCurrentLayer();
    return this.konvaStage;
  }
  draw(object) {
    if (object == undefined) this.konvaStage.draw();
    else {
      this.konvaLayer.add(object);
      this.konvaStage.draw(this.konvaLayer);
      //todo: remove this from Drawer delegate to Stages
      App.pushObject(object);
    }
  }
  _bootstrap() {
    this.newStage();
  }
}
